diff -urN lib.orig/Mail/SpamAssassin/PerMsgStatus.pm lib/Mail/SpamAssassin/PerMsgStatus.pm
--- lib.orig/Mail/SpamAssassin/PerMsgStatus.pm	2004-09-09 21:29:19.000000000 +0300
+++ lib/Mail/SpamAssassin/PerMsgStatus.pm	2005-03-30 12:21:50.000000000 +0300
@@ -1332,6 +1332,15 @@
     $_ = $self->{hdr_cache}->{$request};
   }
   else {
+    if ($request =~ /\|/) {
+	foreach my $subrequest (split(/\|/, $request)) {
+	    my $getraw = ($subrequest eq 'ALL' || $subrequest =~ s/:raw$//);
+	    $_ .= '|'.join ("\n", $self->{msg}->get_header($subrequest, $getraw));
+	}
+	s/^\|//;
+        return($_);
+    }
+
     my $hdrname = $request;
     my $getaddr = ($hdrname =~ s/:addr$//);
     my $getname = ($hdrname =~ s/:name$//);
